Name: H5Tget_member_offset
Signature:
  size_t `H5Tget_member_offset`(hid_t `type_id`, unsigned `memb_no` )
Purpose:
  Retrieves the offset of a field of a compound datatype.
Description:
  `H5Tget_member_offset` retrieves the byte offset of the beginning of a field within a compound datatype with respect to the beginning of the compound data type datum.
Parameters:

hid_t `type_id` | Identifier of datatype to query.
unsigned `memb_no` | Number of the field whose offset is requested.

Returns:
  Returns the byte offset of the field if successful; otherwise returns `0` (zero). Note that zero is a valid offset and that this function will fail only if a call to `H5Tget_member_class()` fails with the same arguments.
Fortran90 Interface: h5tget_member_offset_f

      SUBROUTINE h5tget_member_offset_f(type_id, member_no, offset, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id    ! Datatype identifier
        INTEGER, INTENT(IN) :: member_no         ! Number of the field
                                                 ! whose offset is requested
        INTEGER(SIZE_T), INTENT(OUT) :: offset   ! Byte offset of the the
                                                 ! beginning of the field
        INTEGER, INTENT(OUT) :: hdferr           ! Error code
      END SUBROUTINE h5tget_member_offset_f

History:

Release | C
1.6.4 | `membno` parameter type changed to unsigned.